# Menu Color Theme

To set the new color theme of left sidebar, you need to update the following param in the file src/@crema/utility/AppContextProvider/defaultConfig.js

```javascript
const defaultConfig = {
  sidebar: {
    borderColor: "#757575",
    menuStyle: MenuStyle.DEFAULT,
    isSidebarBgImage: false,
    sidebarBgImage: 1,
    colorSet: LightSidebar, //Color set
  },
  ...
}
```

In the sidebar object, we have a **colorSet** object of sidebar theme configuration.

```javascript
export const DarkSidebar: SidebarData = {
  sidebarBgColor: "#313541",
  sidebarTextColor: "#fff",
  sidebarHeaderColor: "#313541",
  sidebarMenuSelectedBgColor: "#F4F7FE",
  sidebarMenuSelectedTextColor: "rgba(0, 0, 0, 0.87)",
  mode: ThemeMode.DARK,
};
export const LightSidebar: SidebarData = {
  sidebarBgColor: "#fff",
  sidebarTextColor: "rgba(0, 0, 0, 0.60)",
  sidebarHeaderColor: "#fff",
  sidebarMenuSelectedBgColor: "#F4F7FE",
  sidebarMenuSelectedTextColor: "rgba(0, 0, 0, 0.87)",
  mode: ThemeMode.LIGHT,
};
```

If we want to enable the sidebar background image we need to set **isSidebarBgImage: true**. \
\
If we need to change the image of the backgroung then we need to update the **sidebarBgImages** object in the src/@crema/services/db/navigationStyle.js.

```javascript
export const sidebarBgImages = [
  ...
  {
    id: 1,
    image: "/assets/images/sidebar/thumb/1.png",
  },
  ...
];
```

\
In case you want to change the selected menu style  then you need to update **menuStyle**.

```javascript
const defaultConfig = {
  sidebar: {
    ...
    menuStyle: MenuStyle.DEFAULT, // Update the it's value.
    ...
  },
  ...
}

Here is the menu style other option.

export enum MenuStyle {
  DEFAULT = "default",
  STANDARD = "standard",
  ROUNDED = "rounded",
  ROUNDED_REVERSE = "rounded-reverse",
  CURVED_MENU = "curved-menu",
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cremawork.com/v-3/mui/sidebar-configuration/menu-color-theme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
